# Class TCefCookieVisitorOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFCookieVisitor

## Declaration

`type TCefCookieVisitorOwn = class(TCefBaseRefCountedOwn, ICefCookieVisitor)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefCookieVisitorOwn

## Overview

### Methods

| `function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean; virtual;`
| `constructor Create; virtual;`

## Description

### Methods

| `function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean; virtual;`

This item has no description. Showing description inherited from ICefCookieVisitor.visit.

Method that will be called once for each cookie. |count| is the 0-based index for the current cookie. |total| is the total number of cookies. Set |deleteCookie| to true (1) to delete the cookie currently being visited. Return false (0) to stop visiting cookies. This function may never be called if no cookies are found.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.